[VDPAU] [PATCH 4/4] autogen.sh: update/copy over from mesa

Emil Velikov emil.l.velikov at gmail.com
Wed Mar 18 16:50:31 PDT 2015


This commit addresses three concerns:
 - Places quotes around variables. Otherwise things will fail badly if
either one of then contains space.
 - Adds --force to autoreconf, which will ensure that the build is
regenerated, if one updates autotools.
 - Honours the NOCONFIGURE variable, which is set by gnome-continuous
(iirc).

Signed-off-by: Emil Velikov <emil.l.velikov at gmail.com>
---
 autogen.sh | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 354f254..c896097 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,12 +1,14 @@
 #! /bin/sh
 
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
 test -z "$srcdir" && srcdir=.
 
 ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
 
-autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+autoreconf --force --verbose --install || exit 1
+cd "$ORIGDIR" || exit $?
 
-$srcdir/configure "$@"
+if test -z "$NOCONFIGURE"; then
+    "$srcdir"/configure "$@"
+fi
-- 
2.3.1



More information about the VDPAU mailing list